@echo off
if "%~1"=="" goto help
echo Bezig met patchen...
"%~dp0xdelta" -dfs %1 "%~dp0hgpatch.xdelta" "%~dpn1-dutch%~x1"
if %ERRORLEVEL%==9009 goto missingxdelta
if %ERRORLEVEL%==1 goto patchfailed
echo Patchen voltooid! Het gepatchte bestand is in dezelfde map als het originele bestand geplaatst.
echo Kijk in het readme bestand, als de patch niet heeft gewerkt.
echo 
echo Veel plezier met de Nederlandse vertaling van Pokémon Soul Silver!
goto end

:missingxdelta
echo.
echo Het xdelta programma werd niet gevonden. Zorg ervoor dat alle bestanden
echo van de patch naar dezelfde map zijn geplaatst voordat je gaat patchen.
goto end

:patchfailed
echo.
echo Xdelta kon de patch niet toepassen. 
echo 
echo Bekijk het readme bestand.
goto end

:help
echo Probeer het programma niet zelf te openen.
echo Sluit dit venster en sleep het originele (niet gepatchte en niet verkleinde)
echo ROM bestand naar dit programma als je het spel wilt patchen.
echo Het gepatchte bestand zal in dezelfde map verschijnen als het originele
echo bestand, met een andere naam.

:end
echo.
pause
cls